using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace test
{
    class Frilenser
    {
        public double plata;
        public double procenat;
        public Frilenser(double plata, double procenat) { this.plata = plata; this.procenat = procenat; }
    }
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            List<Frilenser> lista = new List<Frilenser>();
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                double Plata = double.Parse(s[0]);
                double Procenat = double.Parse(s[1]);
                lista.Add(new Frilenser(Plata, Procenat));
            }
            lista = lista.OrderBy(t => -t.procenat).ToList();
            double zbir = 0;
            double najveciDoprinos = -1;
            for (int i = 0; i < n; i++)
            {
                zbir += lista[i].plata;
                double doprinos = (zbir * lista[i].procenat) / 100;
                if (doprinos > najveciDoprinos)
                {
                    najveciDoprinos = doprinos;
                }
            }
            Console.WriteLine(najveciDoprinos);
        }
    }
}